# -*- coding: utf-8 -*-
##############################################################################
#    
#    Copyright (C) 2012 Sergio Corato
#    (<http://www.icstools.it>).
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published
#    by the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from osv import fields, osv
from tools.translate import _

class project_ana_costs(osv.osv):
    _name = 'procurement.order'
    _inherit = 'procurement.order'
    _columns = {
        'account_analytic_id':fields.many2one('account.analytic.account', 'Analytic Account',),
        }
project_ana_costs()
   
class sale_order(osv.osv):
    _inherit = "sale.order"  
    def action_ship_create(self, cr, uid, ids, *args):
        super(sale_order, self).action_ship_create(cr, uid, ids, *args)
        for order in self.browse(cr, uid, ids, context={}):
            for line in order.order_line:
                if line.product_id:
                    self.pool.get('procurement.order').write(cr, uid, line.procurement_id.id, {
                    'account_analytic_id': order.project_id.id ,
                })
                cr.execute('select purchase_id from procurement_order where id = %s ', (line.procurement_id.id,))
                order_ids = map(lambda x: x[0], cr.fetchall())
                purchase_ids = self.pool.get('purchase.order.line').search(cr, uid, [('order_id', '=', order_ids)])
                for purchase_id in purchase_ids:
                    self.pool.get('purchase.order.line').write(cr,uid,purchase_id, {
                        'account_analytic_id': order.project_id.id ,
                    })
        return True

sale_order()    

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: